Function
begin
The begin of a container.
Iterator begin(object [, tag])
Include Headers
seqan/sequence.h
Parameters

object | A container. Types: ContainerConcept: Gaps, ModifiedString, String AlignCols, char array, CompressedSA, Finder, FMIndex, FragmentStore, FrequencyDistribution, MaxRepeats Iterator, RightArrayBinaryTree, SeedSet, SeedSet, Segment, Segment, std::basic_string, std::list, std::vector, StringEnumerator, StringSet, thrust::device_vector
tag | An iterator spec tag that specifies the kind of the iterator returned. (optional) Default: Given by DefaultGetIteratorSpec.

Remarks
If the container does not contain any items at all, the function may return 0.
Return Values
An iterator to the first item in object. The type is the result of Iterator<TContainer, TTag>::Type where TContainer is the type of object and TTag is the type of tag.
Metafunctions: Iterator
Member of
Map, ContainerConcept, String, FrequencyDistribution, CompressedSA, std::basic_string, StringSet, MaxRepeats Iterator, thrust::device_vector, Gaps, Finder, char array, RightArrayBinaryTree Iterator, StringEnumerator, std::vector, Segment, std::list
Example Programs
Iterator Basics
Part of Concept
Container
See Also
beginPosition, end, goBegin, Iterator, atBegin, setBegin, front, difference, setBeginPosition
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:57